{% extends 'main/sample.html' %}
{% load static %}

{% block title %} Autohosp {% endblock %}
{% block css_url %} <link rel="stylesheet" href="{% static 'main/css/main.css' %}"> {% endblock %}
{% block js_url %}
<script src="{% static 'main/js/rating.js' %}"></script>
{% endblock %}

{% block content %}
    {% include 'main/objects/header.html' %}

    <main>
        <section class="greeting">
            <h1>Вітаємо на нашому сервісі!</h1>
            <p>Записуйтесь на прийом не виходячи з дому</p>
        </section>

        <section>
            <h2>Можливості сервісу</h2>
            <div class="features">
                <div class="card_with_image">
                    <img class="card_image" src="{% static 'main/images/office.jpg' %}" alt="office">
                    <div class="card_info">
                        <h3 class="card_title">Особистий кабінет</h3>
                        <p class="card_text">Тут Ви можете переглядати інформацію про свої записи та замовлення!</p>
                        <div class="card_button">
                            {% if user.is_authenticated %}
                                <a href="{% url 'office' %}">Увійти</a>
                            {% else %}
                                <a href="{% url 'login' %}">Увійти</a>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <div class="card_with_image">
                    <img class="card_image" src="{% static 'main/images/doctors.jpg' %}" alt="doctors">
                    <div class="card_info">
                        <h3 class="card_title">Онлайн записи без черги</h3>
                        <p class="card_text">Перегляньте спискок лікарів та запишіться у зручний час!</p>
                        <div class="card_button">
                            <a href="{% url 'doctors' %}">Записатись</a>
                        </div>
                    </div>
                </div>
                <div class="card_with_image">
                    <img class="card_image" src="{% static 'main/images/medicine.jpg' %}" alt="vaccine">
                    <div class="card_info">
                        <h3 class="card_title">Замовлення ліків</h3>
                        <p class="card_text">Дивіться наявність ліків у нас на сайті, замовляйте та
                            забирайте їх у аптеках за кодом, відправленним на вашу електронну адресу!</p>
                        <div class="card_button">
                            <a href="{% url 'medicine' %}">Замовити</a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section>
            <h2>Як користуватись сервісом?</h2>
            <div class="features instructions">
                <div class="card_instruction">
                    <div class="card_info">
                        <h3 class="card_title">Крок 1</h3>
                        <p class="card_text">Зареєструйтесь та авторизуйтесь</p>
                        <img class="card_icon_1" src="{% static 'main/icons/register.png' %}"
                             alt="register"
                             style="position: relative; bottom: 8%"
                        >
                    </div>
                </div>
                <script src="https://cdn.lordicon.com/bhenfmcm.js"></script>
                <lord-icon class="next_instruction"
                        src="https://cdn.lordicon.com/zmkotitn.json"
                        trigger="loop"
                        delay="1000"
                        colors="primary:#111618">
                </lord-icon>
                <div class="card_instruction">
                    <div class="card_info">
                        <h3 class="card_title">Крок 2</h3>
                        <p class="card_text">Замовляйте ліки або записуйтеся на онлайн прийом</p>
                        <img class="card_icon_2" src="{% static 'main/icons/appointment.png' %}"
                             alt="register"
                             style="position: relative; left: 22%;"
                        >
                        <img class="card_icon_2" src="{% static 'main/icons/order.png' %}"
                             alt="register"
                             style="position: relative; right: 22%; bottom: 10%"
                        >
                    </div>
                </div>
                <lord-icon class="next_instruction"
                        src="https://cdn.lordicon.com/zmkotitn.json"
                        trigger="loop"
                        delay="1000"
                        colors="primary:#111618">
                </lord-icon>
                <div class="card_instruction">
                    <div class="card_info">
                        <h3 class="card_title">Крок 3</h3>
                        <p class="card_text">Переглядайте відомості у персональному кабінеті!</p>
                        <img class="card_icon_3" src="{% static 'main/icons/view.png' %}"
                             alt="register"
                             style="position: relative; bottom: 5%"
                        >
                    </div>
                </div>
            </div>
        </section>
        <section>
            <h2>Відгуки</h2>
            <div class="features">
                {% for r in user_review %}
                    <div class="card review_card">
                        <div class="card_info">
                            <p class="review_info">Користувач Autohosp System</p>
                            <h3 class="card_title review_user">{{r.user}}</h3>
                            <div class="review_rating" data-rating="{{r.rating}}" title="{{r.rating}}/5">
                                <p class="review_rating">Оцінка: </p>
                                <div class="star"></div>
                                <div class="star"></div>
                                <div class="star"></div>
                                <div class="star"></div>
                                <div class="star"></div>
                            </div>
                            <p class="card_text review_text" title="{{r.text}}"><b>Опис: </b><em>"{{r.text}}"</em></p>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </section>
        <section>
            <h2>Останні новини</h2>
            <div class="features">
                {% for n in news_post|slice:":3" %}
                {% if n.is_published %}
                <div class="news_card">
                    <div class="card_info">
                        <p class="news_card_date"><i>Дата публікації: {{n.time_create|date:"d E Y"}}</i></p>
                        <h3 class="news_card_title" title="{{n.title}}">{{n.title}}</h3>
                        <div class="card_button">
                            <a href="{{n.get_absolute_url}}">Читати новину</a>
                        </div>
                    </div>
                </div>
                {% endif %}
                {% endfor %}
                <a class="news_more_button" href="{% url 'news' %}">
                    <script src="https://cdn.lordicon.com/bhenfmcm.js"></script>
                    <lord-icon
                            src="https://cdn.lordicon.com/msoeawqm.json"
                            trigger="hover"
                            colors="primary:#ffffff,secondary:#8c8c8c">
                    </lord-icon>
                </a>
            </div>
        </section>
    </main>

    {% include 'main/objects/footer.html' %}
{% endblock %}